### Hierarchy

- ReplaceTile

## Index

### Constructors

- constructor

### Methods

- replace

## Constructors

### constructor

- new ReplaceTile(collisionLayer: CollisionLayer, actionTileWithModifier: Optional<SimpleTileWithModifier>, mightNotFindConditionButThatIsOk: boolean, conditionSpritesToRemove: Optional<SimpleTileWithModifier>, newDirection: Optional<RULE_DIRECTION>): ReplaceTile

- - Defined in models/rule.ts:1336

  #### Parameters

  - ##### collisionLayer: CollisionLayer

  - ##### actionTileWithModifier: Optional<SimpleTileWithModifier>

  - ##### mightNotFindConditionButThatIsOk: boolean

  - ##### conditionSpritesToRemove: Optional<SimpleTileWithModifier>

  - ##### newDirection: Optional<RULE_DIRECTION>

  #### Returns ReplaceTile

## Methods

### replace

- replace(cell: Cell, magicOrTiles: Map<IGameTile, Set<GameSprite>>, orTilesRemoved: Set<IGameTile>): object

- - Defined in models/rule.ts:1351

  #### Parameters

  - ##### cell: Cell

  - ##### magicOrTiles: Map<IGameTile, Set<GameSprite>>

  - ##### orTilesRemoved: Set<IGameTile>

  #### Returns object

  - ##### didActuallyChange: boolean

Generated using TypeDoc